/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package DrawTop;
import java.awt.geom.*;
import java.util.*;
import shape.*;

public class SelectionEvent extends EventObject {
    protected String type="";
    protected ShapeContainer[] shapeContainers=null;
    protected Point2D clickedPoint=null;
    
    public SelectionEvent(Object source, String type, ShapeContainer[] shapeContainers, 
            Point2D clickedPoint) {
        super(source);
        this.type=type;
        this.shapeContainers=shapeContainers;
        this.clickedPoint=clickedPoint;
    }
    public String getType(){
        return this.type;
    }
    public ShapeContainer[] getSelectedContainers(){
        return this.shapeContainers;
    }
    public Point2D getClickedPoint(){
        return this.clickedPoint;
    }
}